Module ij
Package ij.plugin

# Interface PlugIn

All Known Implementing Classes:
  `AboutBox`, `Animator`, `AppearanceOptions`, `ArrowTool`, `ArrowToolOptions`, `AVI_Reader`, `BatchConverter`, `BatchMeasure`, `BatchProcessor`, `Benchmark`, `Binner`, `BMP_Reader`, `BMP_Writer`, `BrowserLauncher`, `BrushTool`, `CalibrationBar`, `CanvasResizer`, `ChannelArranger`, `Channels`, `ChannelSplitter`, `CircularRoiMaker`, `ClassChecker`, `Clipboard`, `ColorPicker`, `Colors`, `ColorThresholder`, `CommandFinder`, `CommandLister`, `Commands`, `Commands`, `Compiler`, `CompositeConverter`, `Concatenator`, `ContrastAdjuster`, `ContrastEnhancer`, `ControlPanel`, `Converter`, `Coordinates`, `DICOM`, `Distribution`, `DragAndDrop`, `Duplicator`, `Editor`, `EventListener`, `FFT`, `FFTMath`, `FileInfoVirtualStack`, `Filters3D`, `FITS_Reader`, `FITS_Writer`, `Fitter`, `FolderOpener`, `GaussianBlur3D`, `GelAnalyzer`, `GIF_Reader`, `GifWriter`, `Grid`, `GroupedZProjector`, `Histogram`, `Hotkeys`, `HyperStackConverter`, `HyperStackMaker`, `HyperStackReducer`, `ImageCalculator`, `ImageInfo`, `ImageJ_Updater`, `ImagesToStack`, `JavaProperties`, `JavaScriptEvaluator`, `JpegWriter`, `LineWidthAdjuster`, `ListVirtualStack`, `LUT_Editor`, `LutLoader`, `Macro_Runner`, `MacroInstaller`, `MacroToolRunner`, `MeasurementsWriter`, `Memory`, `MemoryMonitor`, `MontageMaker`, `NewPlugin`, `NextImageOpener`, `Options`, `Orthogonal_Views`, `OverlayBrushTool`, `OverlayCommands`, `OverlayLabels`, `PasteController`, `PGM_Reader`, `PixelInspectionTool`, `PlugInDialog`, `PlugInFrame`, `PluginInstaller`, `PlugInInterpreter`, `PlugInTool`, `PNG_Writer`, `PNM_Writer`, `PointToolOptions`, `Profiler`, `Projector`, `ProxySettings`, `Raw`, `Recorder`, `RectToolOptions`, `Resizer`, `RGBStackConverter`, `RGBStackMerge`, `RoiDefaultsDialog`, `RoiEnlarger`, `RoiInterpolator`, `RoiManager`, `RoiReader`, `RoiRotationTool`, `RoiRotator`, `RoiScaler`, `ScaleBar`, `Scaler`, `ScreenGrabber`, `Selection`, `SimpleCommands`, `Slicer`, `SpecifyROI`, `Stack_Statistics`, `StackCombiner`, `StackEditor`, `StackInserter`, `StackMaker`, `StackPlotter`, `StackReducer`, `StackReverser`, `StackWriter`, `Startup`, `Straightener`, `SubHyperstackMaker`, `SubstackMaker`, `SurfacePlotter`, `SyncWindows`, `Text`, `TextFileReader`, `TextReader`, `TextWriter`, `ThreadLister`, `ThresholdAdjuster`, `Thresholder`, `URLOpener`, `WandToolOptions`, `WindowOrganizer`, `XY_Reader`, `XYCoordinates`, `ZAxisProfiler`, `Zoom`, `ZProjector`

public interface PlugIn
Plugins that acquire images or display windows should implement this interface. Plugins that process images should implement the PlugInFilter interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`run(String arg)`
This method is called when the plugin is loaded.

## Method Details

### run

void run(String arg)
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.